<?php
namespace Teknisa\CNC\Controllers;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Notification;
use Teknisa\CNC\Services;
use Teknisa\CNC\Utilities;

class EstabelecimentoCNC extends \Zeedhi\Framework\Controller\Simple {
    
    protected $estabelecService;
    protected $salesMessage;

    
    public function __construct(Services\EstabelecimentoCNC $estabelecService, Utilities\SalesMessageCNC $salesMessage) {
        $this->estabelecService   = $estabelecService;
        $this->salesMessage    = $salesMessage;
    }

    public function getEstabelec(Request\Filter $request, Response $response){
        try {
            $params = $request->getFilterCriteria()->getConditions();
            
            $resultadoFiltrado = $this->estabelecService->getEstabelec($params, $request);

            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('Cnc_GetEstabelecRepo', $resultadoFiltrado));
        } catch (\Exception $e) {
            $response->addMessage(new Message($e->getMessage()));
        }
    }

    public function getEstabelecAdq(Request\Filter $request, Response $response){
        try {
            $params = $request->getFilterCriteria()->getConditions();

            $resultadoFiltrado = $this->estabelecService->getEstabelecAdq($params, $request);

            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('Cnc_GetEstabelecAdqRepo', $resultadoFiltrado));
        } catch (\Exception $e) {
            $response->addMessage(new Message($e->getMessage()));
        }
    }
}