<?php
namespace Teknisa\CNC\Factories;

use Doctrine\ORM\EntityManager;

class Cnc01200TaxaParcelaAdquirenteFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function insertTaxaParcela ($params) {
        $sql = "INSERT INTO TAXAADQPARC
                  (NRTAXAADQPARC, NRADQUIRENTE, QTPARCELA, VRTAXAPARC, NRORG, IDATIVO, DTULTATU, NRORGULTATU, CDOPERULTATU)
                VALUES
                  (:NRTAXAADQPARC, :NRADQUIRENTE, :QTPARCELA, :VRTAXAPARC, :NRORG, :IDATIVO, :DTULTATU, :NRORGULTATU, :CDOPERULTATU)";
                  
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function checkQtParcela ($params) {
        $sql = "SELECT COUNT(*) NR
                FROM TAXAADQPARC
                WHERE NRADQUIRENTE = :NRADQUIRENTE
                  AND QTPARCELA = :QTPARCELA";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
}
    