<?php

namespace WebServiceCall\Repository\FileManager;

use WebServiceCall\Repository\FileManager\FileClass\ConfigData;

class ConfigManager extends AManager {
    private const CONFIG_FILE_PATH = self::DEFAULT_FILES_PATH . 'config.json';

    protected function isValidProps($fileData) {
        return isset($fileData['PROXY_HOST']) && 
               isset($fileData['PROXY_PORT']) && 
               isset($fileData['PROXY_LOGIN']) && 
               isset($fileData['PROXY_PASSWORD']) && 
               isset($fileData['CNC_ID_EMPRESA_CONC']) &&
               isset($fileData['CNC_SENHA_CONC']) &&
               isset($fileData['CNC_IS_PRODUCTION']);
    }
    
    protected function isValidFileData($dbData) {
        $isValidProps = $this->isValidProps($dbData);
        
        if(!$isValidProps) {
            throw new \Exception("O arquivo de configurações está inválido !");
        }
        
        return $isValidProps;
    }

    
    protected function readFileData() {
        return json_decode(file_get_contents(self::CONFIG_FILE_PATH), true);        
    }
    
    protected function setFileData($fileData) {
        $this->fileData = new ConfigData($fileData);
    }
    
    public function getData() {
        return $this->fileData;
    }
}